#ifndef _BODY_COMPONENT_H
#define _BODY_COMPONENT_H

#include <spinscale/puppetApplication.h>
#include <spinscale/component.h>
#include <mindComponent.h>
#include <body/bodyThread.h>

namespace smo {

class Mind;

namespace body {

class Body
:	public MindComponent
{
public:
	Body(Mind &parent, const std::shared_ptr<sscl::PuppetThread> &thread);
	~Body() = default;

	BodyViralPostingInvoker<void> initializeCReq();
	BodyViralPostingInvoker<void> finalizeCReq();
};

} // namespace body
} // namespace smo

#endif // _BODY_COMPONENT_H
